SphinxClient::setGroupDistinct
SphinxClient::setIndexWeights
SphinxClient
PHP Manual

# SphinxClient::setIDRange

(PECL sphinx >= 0.1.0)

SphinxClient::setIDRange — Set a range of accepted document IDs

### Description

public bool SphinxClient::setIDRange ( int `$min` , int `$max` )

Sets an accepted range of document IDs. Default range is from 0 to 0, i.e. no limit. Only those records that have document ID between `min` and `max` (including IDs exactly equal to `min` or `max`) will be matched.

### Parameters

`min`

  Minimum ID value.

`max`

  Maximum ID value.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

SphinxClient::setGroupDistinct
SphinxClient::setIndexWeights
SphinxClient
PHP Manual